'use server'
import { Box } from "@chakra-ui/react";
import UserForm from "../../component/form";
import { getRoles } from "@/app/lib/role/action";
import { getUsersById } from "@/app/lib/users/action";
import { getIbcRequestList } from "@/app/lib/ibc/action";
import { getProjects } from "@/app/lib/projects/action";


export default async function Edit({ params }: { params: { id: number } }) {
  const [roles, initialUserData, ibcs, projects] = await Promise.all([getRoles(), getUsersById(params.id), getIbcRequestList({ pagination: false }), getProjects({ pagination: false })]);

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {initialUserData && <UserForm isEdit={initialUserData} roles={roles?.data} ibcs={ibcs?.data} projects={projects?.data} />}
    </Box>
  );
}